> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/index/market-snapshot.md).

# 3.3 Index Market Snapshot

```
GET /indices/{index_ticker}/market-snapshot
```

**Request Parameters**

| Parameter | Type   | Required | Description                |
| --------- | ------ | -------- | -------------------------- |
| ticker    | string | Yes      | Index ticker, e.g. ssimag7 |

**Response Example**

```json
{
    "price": 20.93,
    "24h_change_pct": -0.0016,
    "7day_roi": 0.0056,
    "1month_roi": 0.062,
    "3month_roi": 0.275,
    "1year_roi": 0.15,
    "ytd": -0.243
}
```

**Response Fields**

| Field            | Type   | Description               |
| ---------------- | ------ | ------------------------- |
| price            | Number | Current index price       |
| 24h\_change\_pct | Number | 24-hour change percentage |
| 7day\_roi        | Number | 7-day return              |
| 1month\_roi      | Number | 1-month return            |
| 3month\_roi      | Number | 3-month return            |
| 1year\_roi       | Number | 1-year return             |
| ytd              | Number | Year-to-date return       |
